Skip to main content
`Ctrl`+`K`

# SALib.plotting.bar module

SALib.plotting.bar.plot(Si_df, ax=None)

  Create bar chart of results.

  Examples

      >>> from SALib.plotting.bar import plot as barplot
      >>> from SALib.test_functions import Ishigami
      >>>
      >>> # See README for example problem specification
      >>>
      >>> X = saltelli.sample(problem, 512)
      >>> Y = Ishigami.evaluate(X)
      >>> Si = sobol.analyze(problem, Y, print_to_console=False)
      >>> total, first, second = Si.to_df()
      >>> barplot(total)

  Parameters:

    Si_df (*)

  Returns:

    * ax

  Return type:

    matplotlib axes object